Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.indexdb
Interface Record

All Known Implementing Classes:
  Record.Impl

    public interface Record

`Record` represents a record within an indexed flat file databank as defined by the OBDA standard.

Author:
  Matthew Pocock, Keith James

Nested Class Summary
`static class` | `Record.Impl` `Impl` is the default implementation of Record.

Method Summary
`RAF` | `getFile()` `getFile` returns the random access file in which the record belongs.
`String` | `getID()` `getID` returns the primary identifier of the record.
`int` | `getLength()` `getLength` returns the length of the record in bytes.
`long` | `getOffset()` `getOffset` returns the byte offset in the file at which the record begins.

Method Detail

### getID

    String getID()

  `getID` returns the primary identifier of the record.

  Returns:
    a `String` ID.

### getFile

    RAF getFile()

  `getFile` returns the random access file in which the record belongs.

  Returns:
    a `RAF`.

### getOffset

    long getOffset()

  `getOffset` returns the byte offset in the file at which the record begins.

  Returns:
    a `long` offset.

### getLength

    int getLength()

  `getLength` returns the length of the record in bytes.

  Returns:
    an `int`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD